Backups
All operations require authentication.
List available restore points for the automated backupProduction
Returns the restore points available for the automated backup of the VPS.
Path parameters
Service name
Query parameters
The state of the restore point
availablerestoredrestoringResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ automatedBackup/ restorePoints \
-H "authorization: Bearer $OVH_TOKEN"[ "2024-01-01T12:00:00Z"]
List backups currently attached to this VPSProduction
Returns the backups currently attached to the VPS, with their restore point and access settings.
Path parameters
Service name
Response
A structure describing a backup's access informations
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ automatedBackup/ attachedBackup \
-H "authorization: Bearer $OVH_TOKEN"[ { "access": { "additionalDisk": "string", "nfs": "string", "smb": "string" }, "restorePoint": "2024-01-01T12:00:00Z" }]
Retrieve information about the current VPS snapshotProduction
Returns the ID, creation date, description and region of the snapshot of the VPS.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ snapshot \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "description": "string", "id": "string", "region": "string"}
Generate a download URL for the VPS snapshotProduction
Returns the URL and the size of the snapshot to download.
Path parameters
Service name
Response
Snapshot size (bytes)
URL to download the snapshot
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ snapshot/ download \
-H "authorization: Bearer $OVH_TOKEN"{ "size": 0, "url": "string"}
Retrieve automated backup settings for this VPSProduction
Returns whether the automated backup is enabled, its rotation and the time of the daily backup.
Path parameters
Service name
Response
Number of rotation of your daily backup
Scheduled time of your daily backup
Resource name of the service of your automated backup
Backup state
disabledenabledExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ automatedBackup \
-H "authorization: Bearer $OVH_TOKEN"{ "rotation": 0, "schedule": "15:04:05", "serviceResourceName": "string", "state": "disabled"}
Create a snapshot of this VPS (requires the snapshot option and no existing snapshot); returns an asynchronous taskProduction
Creates a snapshot of the VPS and returns the task that performs it. The snapshot option must be active and no snapshot can exist.
Path parameters
Service name
Request body (required)
A textual description for your snapshot
Response
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ createSnapshot \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}
Abort an ongoing snapshot or automated backup operation for this VPSProduction
Stops the snapshot or automated backup operation in progress on the VPS.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ abortSnapshot \
-H "authorization: Bearer $OVH_TOKEN"Revert this VPS to the specified snapshot and return an asynchronous taskProduction
Reverts the VPS to its snapshot and returns the task that performs it.
Path parameters
Service name
Response
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ snapshot/ revert \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}
Change the scheduled time of the daily automated backup and return an asynchronous taskProduction
Changes the time of the daily automated backup and returns the task that performs it.
Path parameters
Service name
Request body (required)
Time (e.g., 15:04:05)
Response
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ automatedBackup/ reschedule \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}
Restore this VPS from a given restore point and return an asynchronous taskProduction
Restores the VPS from the given restore point and returns the task that performs it.
Path parameters
Service name
Request body (required)
Only with restore full on VPS Cloud 2014
Restore Point fetched in /automatedBackup/restorePoints
Available restore types
filefullResponse
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ automatedBackup/ restore \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}
Unmount a restored backup from this VPS and return an asynchronous taskProduction
Unmounts the restored backup from the VPS and returns the task that performs it.
Path parameters
Service name
Request body (required)
restorePoint fetched in /vps/{serviceName}/automatedBackup/attachedBackup
Response
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ automatedBackup/ detachBackup \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}
Delete the VPS snapshot and return an asynchronous taskProduction
Deletes the snapshot of the VPS and returns the task that performs it.
Path parameters
Service name
Response
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ snapshot \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}
Update the VPS snapshot propertiesProduction
Updates the description of the snapshot of the VPS.
Path parameters
Service name
Request body (required)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ snapshot \
-H "authorization: Bearer $OVH_TOKEN"